# tests need internet connection
%bcond_with     tests

%global         shortname sqlparse

Summary:        Non-validating SQL parser for Python
Name:           python-%{shortname}
Version:        0.4.3
Release:        4%{?dist}
License:        BSD
URL:            https://github.com/andialbrecht/%{shortname}
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-tools
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-py

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest python%{python3_pkgversion}-pytest-cov
%endif
BuildArch:      noarch

%description
sqlparse is a tool for parsing SQL strings. It can generate pretty-printed renderings of SQL in various formats.

It is a python module, together with a command-line tool.

%package -n     python%{python3_pkgversion}-%{shortname}
Summary:        Non-validating SQL parser for Python

%description -n python%{python3_pkgversion}-%{shortname}
sqlparse is a tool for parsing SQL strings. It can generate pretty-printed renderings of SQL in various formats.

It is a python module, together with a command-line tool.

%prep
%autosetup -n %{shortname}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
tox -e py%{python3_version_nodots}
%endif

%files -n python%{python3_pkgversion}-%{shortname}
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python3_sitelib}/*
%{_bindir}/sqlformat

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 0.4.3-1
- initial build
